<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn,$zdb);
$success = false;

$maindb = 'staff';
$file = 'staff.php';
$keyfld = "code";

$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND( `add1` = '$searchTerm' OR `add2` = '$searchTerm' OR `add3`  = '$searchTerm')";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `city` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `mobile` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `joindt` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND (`add1`  LIKE '%$searchTerm%' OR `add2`  LIKE '%$searchTerm%' or `add3` LIKE '%$searchTerm%') ";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `city` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `mobile` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `joindt` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `name`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `name`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `add1`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `city`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `mobile`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `joindt`";
}


$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

$query = "SELECT `code`, `name`, `add1`, `add2`, `add3`, `city`, `mobile`, `joindt` FROM `$maindb` WHERE `code` != ''
          $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn,$query) or die(mysqli_error($conn));

$rows = array();
$ctr = 1;
while ($r = mysqli_fetch_assoc($result)) {

    $rows[] = ['success' => true,
        'value' => $ctr,
        'name' => $r['name'],
        'add1' => $r['add1'],
        'add2' => $r['add2'],
        'add3' => $r['add3'],
        'city' => $r['city'],
        'mobile' => $r['mobile'],
        'joindt' => $r['joindt'],
        'action' => "$file?mode=edit&$keyfld=$r[$keyfld]",
    ];
    $ctr++;
}
//browse($rows);
header("Content-type: application\json");
echo json_encode($rows);